import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增考试安排
    appsystemapply(data) {
        return request({
            url: '/system/apply',
            method: 'post',
            data
        })
    },
    //新增考试安排绑定商品
    systemapplyaddGoods(data) {
        return request({
            url: '/system/apply/addGoods',
            method: 'post',
            data
        })
    },
    //新增考试安排地点
    systemapplyaddSite(data) {
        return request({
            url: '/system/apply/addSite',
            method: 'post',
            data
        })
    },
    //修改考试安排
    editsystemapply(data) {
        return request({
            url: '/system/apply/edit',
            method: 'post',
            data
        })
    },
    //查询考试安排列表
    inquiresystemapplyList(data) {
        return request({
            url: '/system/apply/list',
            method: 'get',
            params: data
        })
    },
    //查看考试安排绑定商品
    inquirepayservegoodsInfo(data) {
        return request({
            url: '/system/apply/goodsInfo',
            method: 'get',
            params: data
        })
    },
    //查询考试配置绑定用户列表
    inquirepayservelistUser(data) {
        return request({
            url: '/system/apply/listUser',
            method: 'get',
            params: data
        })
    },
    //查询考试安排商品列表
    inquirepayservelistGoods(data) {
        return request({
            url: '/system/apply/listGoods',
            method: 'get',
            params: data
        })
    },
    //获取考试地点 考培地点
    inquirepayservesiteInfo(data) {
        return request({
            url: '/system/apply/siteInfo',
            method: 'get',
            params: data
        })
    },
    //获取考试安排详细信息
    obtainsystemapply(data) {
        return request({
            url: `/system/apply/` + data,
            method: 'get',
        })
    },
    //批量新增前培绑定考试计划
    addexamapply(data) {
        return request({
            url: '/exam/apply',
            method: 'post',
            data
        })
    },
    //查询前培绑定考试计划列表
    inquireexamapplyList(data) {
        return request({
            url: '/exam/apply/list',
            method: 'get',
            params: data
        })
    },
    //获取考试安排的前培计划详细信息
    obtainsystemapplygetBefore(data) {
        return request({
            url: `/system/apply/getBefore/` + data,
            method: 'get',
        })
    },
}